%define nspr_name	nspr
%define nss_name	nss
%define mozldap_name	mozldap

%{?perl_default_filter}

Summary: 	LDAP Perl module that wraps the OpenLDAP C SDK
Name: 		perl-Mozilla-LDAP
Version: 	1.5.3
Release: 	%mkrel 11
License: 	GPLv2+ and LGPLv2+ and MPLv1.1
Group: 		Development/Perl
URL: 		http://www.mozilla.org/directory/perldap.html
Requires: perl 	>= 2:5.8.0
BuildRequires: 	perl >= 2:5.8.0
BuildRequires: 	perl-devel
BuildRequires: 	openldap-devel >= 2.4.2
BuildRequires: 	%{nspr_name}-devel >= 4.6
BuildRequires: 	%{nss_name}-devel >= 3.11
BuildRequires: 	%{mozldap_name}-devel >= 6.0
Source0: 	ftp://ftp.mozilla.org/pub/mozilla.org/directory/perldap/releases/${version}/perl-mozldap-%{version}.tar.gz
Source1: 	ftp://ftp.mozilla.org/pub/mozilla.org/directory/perldap/releases/1.5/Makefile.PL.rpm

%description
%{summary}.

%prep
%setup -q -n perl-mozldap-%{version}
# Filter unwanted Provides:
cat << \EOF > %{name}-prov
#!/bin/sh
%{__perl_provides} $* |\
  sed -e '/perl(Mozilla::LDAP::Entry)$/d'
EOF

%define __perl_provides %{_builddir}/perl-mozldap-%{version}/%{name}-prov
chmod +x %{__perl_provides}

# Filter unwanted Requires:
cat << \EOF > %{name}-req
#!/bin/sh
%{__perl_requires} $* |\
  sed -e '/perl(Mozilla::LDAP::Entry)/d'
EOF

%define __perl_requires %{_builddir}/perl-mozldap-%{version}/%{name}-req
chmod +x %{__perl_requires}

%build

LDAPPKGNAME=openldap CFLAGS="$RPM_OPT_FLAGS" perl %{SOURCE1} PREFIX=$RPM_BUILD_ROOT%{_prefix} INSTALLDIRS=vendor < /dev/null
%make OPTIMIZE="$RPM_OPT_FLAGS" CFLAGS="$RPM_OPT_FLAGS" 
make test

%install
eval `perl '-V:installarchlib'`

%makeinstall

# remove files we don't want to package
rm -f `find $RPM_BUILD_ROOT -type f -name perllocal.pod -o -name .packlist`
find $RPM_BUILD_ROOT -name API.bs -a -size 0 -exec rm -f {} \;

# make sure shared lib is correct mode
find $RPM_BUILD_ROOT -name API.so -exec chmod 755 {} \;

# call spec-helper before creating the file list
# (spec-helper removes some files, and compress some others)
%define dont_strip 1
%{?__spec_helper_post}
%undefine dont_strip

# make sure files refer to %{_prefix} instead of buildroot/%prefix
find $RPM_BUILD_ROOT%{_prefix} -type f -print | \
	sed "s@^$RPM_BUILD_ROOT@@g" > %{name}-%{version}-%{release}-filelist
if [ "$(cat %{name}-%{version}-%{release}-filelist)X" = "X" ] ; then
    echo "ERROR: EMPTY FILE LIST"
    exit 1
fi


%files -f %{name}-%{version}-%{release}-filelist
%doc CREDITS ChangeLog README MPL-1.1.txt



%changelog
* Sun Jun 19 2016 pterjan <pterjan> 1.5.3-11.mga6
+ Revision: 1030775
- Rebuild for perl 5.22.2

* Fri Feb 12 2016 umeabot <umeabot> 1.5.3-10.mga6
+ Revision: 957776
- Mageia 6 Mass Rebuild

* Wed Jun 24 2015 sander85 <sander85> 1.5.3-9.mga6
+ Revision: 842620
- Rebuild for perl 5.22

* Wed Oct 15 2014 umeabot <umeabot> 1.5.3-8.mga5
+ Revision: 739872
- Second Mageia 5 Mass Rebuild

* Sat Sep 27 2014 tv <tv> 1.5.3-7.mga5
+ Revision: 727680
- rebuild for missing pythoneggs deps

* Tue Sep 16 2014 umeabot <umeabot> 1.5.3-6.mga5
+ Revision: 685607
- Mageia 5 Mass Rebuild

* Tue Jun 03 2014 pterjan <pterjan> 1.5.3-5.mga5
+ Revision: 631452
- Rebuild for perl 5.20

* Sat Oct 19 2013 umeabot <umeabot> 1.5.3-4.mga4
+ Revision: 524902
- Mageia 4 Mass Rebuild

* Wed May 29 2013 jquelin <jquelin> 1.5.3-3.mga4
+ Revision: 431640
- perl 5.18.0 rebuild

* Sun Jan 13 2013 umeabot <umeabot> 1.5.3-2.mga3
+ Revision: 370403
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sun Oct 14 2012 spuhler <spuhler> 1.5.3-1.mga3
+ Revision: 305582
- added BuildRequires: openldap-devel >= 2.4.2
- added BuildRequires: perl-devel
- added BuildRequires: mozldap-devel
- changed make to %%make
- imported package perl-Mozilla-LDAP


* Fri Jul 20 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.5.3-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Fri Jan 13 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.5.3-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Tue Feb 08 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.5.3-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Tue Nov 23 2010 Rich Megginson <rmeggins@redhat.com> - 1.5.3-4
- forgot to add -DUSE_SSL -DPRLDAP

* Wed Sep 29 2010 jkeating - 1.5.3-3
- Rebuilt for gcc bug 634757

* Tue Sep 14 2010 Rich Megginson <rmeggins@redhat.com> - 1.5.3-2
- added new sources

* Tue Sep 14 2010 Rich Megginson <rmeggins@redhat.com> - 1.5.3-1
- new version 1.5.3 with openldap support

* Tue May 04 2010 Marcela Maslanova <mmaslano@redhat.com> - 1.5.2-7.1
- Mass rebuild with perl-5.12.0

* Sun Jul 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.5.2-6.1
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Thu Feb 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.5.2-5.1
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Tue Mar 11 2008 Rich Megginson <rmeggins@redhat.com> - 1.5.2-4.1
- rebuild for perl 5.10

* Tue Feb 19 2008 Fedora Release Engineering <rel-eng@fedoraproject.org> - 1.5.2-3.1
- Autorebuild for GCC 4.3

* Tue Oct 16 2007 Tom "spot" Callaway <tcallawa@redhat.com> - 1.5.2-2.1
- correct license tag
- add BR: perl(ExtUtils::MakeMaker)

* Wed Aug 29 2007 Fedora Release Engineering <rel-eng at fedoraproject dot org> - 1.5.2-2
- Rebuild for selinux ppc32 issue.

* Fri Jul 27 2007 Rich Megginson <richm@stanfordalumni.org> - 1.5.2-1
- Fix bugzilla 389731 - crash when a bad URL is passed

* Wed Jun 20 2007 Rich Megginson <richm@stanfordalumni.org> - 1.5.1-1
- all files have been GPL/LGPL/MPL tri-licensed

* Wed Jan 10 2007 Rich Megginson <richm@stanfordalumni.org> - 1.5-9
- remove only perl(Mozilla::LDAP::Entry) from Provides, leave in 
- perl(Mozilla::LDAP::Entry) = 1.5

* Wed Jan 10 2007 Rich Megginson <richm@stanfordalumni.org> - 1.5-8
- add perl_requires filter for the Entry module
- add the MPL-1.1.txt file to the DOCs

* Wed Jan 10 2007 Rich Megginson <richm@stanfordalumni.org> - 1.5-7
- Incorporate comments from Fedora Extras review - https://bugzilla.redhat.com/bugzilla/show_bug.cgi?id=219869
- Remove all Requires except perl - use autogenerated ones
- Remove ExclusiveArch
- Remove files that don't need to be packaged
- add full URL to sources
- set API.so to mode 755

* Tue Oct 17 2006 Rich Megginson <richm@stanfordalumni.org> - 1.5-6
- look for brp-compress first in /usr/lib then _libdir

* Tue Oct 17 2006 Rich Megginson <richm@stanfordalumni.org> - 1.5-5
- there is no TODO file; use custom Makefile.PL

* Mon Oct 16 2006 Rich Megginson <richm@stanfordalumni.org> - 1.5-4
- use pkg-config --variable=xxx instead of --cflags e.g.

* Mon Oct 16 2006 Rich Megginson <richm@stanfordalumni.org> - 1.5-3
- this is not a noarch package

* Mon Oct 16 2006 Rich Megginson <richm@stanfordalumni.org> - 1.5-2
- Use new mozldap6, dirsec versions of nspr, nss

* Tue Feb  7 2006 Rich Megginson <richm@stanfordalumni.org> - 1.5-1
- Based on the perl-LDAP.spec file

